#include <iostream>
#include <vector>
using namespace std;
int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	
	long long int n,h;
	cin >>n>>h;
	vector<long long int> v(n);
	for(long long int i=0;i<n;i++)
	{
		cin >>v[i];
	}
	long long int rez=-1;
	for(long long int i=0;i<n;i++)
	{
		if(v[i]<=h)
		{
			rez=i+1;
			break;
		}
	}
	cout <<rez<<"\n";
	return 0;
}